#ifndef __TIMER0_H__
#define __TIMER0_H__

#define TIMPRS0_12DIV 		TIMPRS |= 0x00
#define TIMPRS0_4DIV 			TIMPRS |= 0x01
#define TIMPRS0_8DIV 			TIMPRS |= 0x02
#define TIMPRS0_16DIV 		TIMPRS |= 0x03
#define TIMPRS0_32DIV 		TIMPRS |= 0x04
#define TIMPRS0_64DIV 		TIMPRS |= 0x05
#define TIMPRS0_128DIV 		TIMPRS |= 0x06
#define TIMPRS0_256DIV 		TIMPRS |= 0x07

#define TIMPRS1_12DIV 		TIMPRS |= 0 << 4
#define TIMPRS1_4DIV 			TIMPRS |= 1 << 4
#define TIMPRS1_8DIV 			TIMPRS |= 2 << 4
#define TIMPRS1_16DIV 		TIMPRS |= 3 << 4
#define TIMPRS1_32DIV 		TIMPRS |= 4 << 4
#define TIMPRS1_64DIV 		TIMPRS |= 5 << 4
#define TIMPRS1_128DIV 		TIMPRS |= 6 << 4
#define TIMPRS1_256DIV 		TIMPRS |= 7 << 4

#define T0_MODE0 					TMOD |= 0x00
#define T0_MODE1 					TMOD |= 0x01
#define T0_MODE2 					TMOD |= 0x02
#define T0_MODE3 					TMOD |= 0x03

#define T1_MODE0 					TMOD |= 0 << 4
#define T1_MODE1 					TMOD |= 1 << 4
#define T1_MODE2 					TMOD |= 2 << 4

#define T0_ON							TR0 = 1
#define T0_OFF						TR0 = 0
#define T1_ON							TR1 = 1
#define T1_OFF						TR1 = 0

void T0_Init(void);
void Timer0_Test(void);

#endif