#ifndef __PWM_H__
#define __PWM_H__

#define OUTMOD_0	PWMPOL &= 0x7F
//UHPWM00,ULPWM01,VHPWM02,VLPWM03,WHPWM04,WLPWM05
#define OUTMOD_1	PWMPOL |= 0x80
//UHPWM00,VHPWM01,WHPWM02,ULPWM03,VLPWM04,WLPWM05
#define PWM0_P12_enable		P1SELL |= 0x30;PWMOEN |= 0x01
#define PWM1_P11_enable		P1SELL |= 0x0C;PWMOEN |= 0x02
#define PWM1_P13_enable		P1SELL |= 0xC0;PWMOEN |= 0x02
#define PWM2_P14_enable		P1SELH |= 0x03;PWMOEN |= 0x04
#define PWM3_P01_enable		P0SELL |= 0x0C;PWMOEN |= 0x08
#define PWM3_P15_enable		P1SELH |= 0x0C;PWMOEN |= 0x08
#define PWM4_P16_enable		P1SELH |= 0x30;PWMOEN |= 0x10
#define PWM5_P00_enable		P0SELL |= 0x03;PWMOEN |= 0x20
#define PWM6_P02_enable		P0SELL |= 0x30;PWMOEN |= 0x40
#define PWM6_P13_enable		P1SELL |= 0x80;PWMOEN |= 0x40

#define PWM_EN						PWMCON |= 0x01
#define PWM_DIS						PWMCON &= 0xFE
#define PWM_SOFT_UPDEAE		PWMCFG |= 0x08

void pwm_init(void);
void pwm_set(uint16_t fre,uint8_t ch, uint8_t duty);
void PWM_Test(void);

#endif