#ifndef __TIMER2_H__
#define __TIMER2_H__

#define T2_CLKDIV_2				T2MOD |= 0 << 5
#define T2_CLKDIV_4				T2MOD |= 1 << 5
#define T2_CLKDIV_8				T2MOD |= 2 << 5
#define T2_CLKDIV_16			T2MOD |= 3 << 5
#define T2_CLKDIV_32			T2MOD |= 4 << 5
#define T2_CLKDIV_64			T2MOD |= 5 << 5
#define T2_CLKDIV_128			T2MOD |= 6 << 5
#define T2_CLKDIV_256			T2MOD |= 7 << 5
#define T2_SOFT_LOAD			T2MOD |= 0x01
#define T2_RTRGEN					T2MOD |= 0x08	

#define T2_MODE0				T2CON |= 0x00
#define T2_MODE1				T2CON |= 0x01
#define T2_MODE2				T2CON |= 0x10
#define T2_MODE3				T2CON |= 0x11
#define T2_ON 					T2CON |= 0x04
#define T2_OFF 					T2CON &= 0xFB
#define T2_EXEN 				T2CON |= 0x08
#define T2_EXDIS 				T2CON &= 0xF7

extern void Delay_1ms(unsigned int Del_1ms);
void T2_Init(void);
void PWM_init_T2(void);
void T2_MODE2_setpwm(uint16_t pre,uint16_t duty);
void Timer2_Test(void);

#endif