#include <ATM8F8040K.H>
#include "main.h"
#include "lpc.h"
#include <intrins.h>

#define lpc_mode0		//ʱӶر,ѹر,ϵͳѱͨⲿжϻ
//#define lpc_mode1		//ʱӶر,ѹλ,ϵͳѱͨⲿжϻ
//#define lpc_mode2		//ڲƵʱӴ,ϵͳͨѶʱ,WDTƥźżⲿжϻ
//#define lpc_mode3		//ģʽΪʱ͹ĵĿвʾ,CPUʱ500KHZ,3.3V1.64mA

void output_IO_init(void)
{
	P0CR = 0xff;
	P1CR = 0xff;
	P2CR = 0x03;
	P1PCR &= CLR_BIT7;
	P2PCR &= CLR_BIT1;
	P1SELH &= 0x3F;
	P2SELL &= 0xF3;
	P0 = 0x00;
	P1 = 0x00;
	P2 = 0x00;
}

#ifdef lpc_mode0
void LPC_Test(void)
{
	BOR_DIS;						//BORر
	STOP_ILRC_DIS;			//STOPILRCֹ
	output_IO_init();
	while(1)
	{
		PCON_STOP;
		_nop_();_nop_();
	}
}
#endif

#ifdef lpc_mode1
void LPC_Test(void)
{
	BOR_EN;							//BORĬϴ
	STOP_ILRC_DIS;			//STOPILRCֹ
	output_IO_init();
	while(1)
	{
		PCON_STOP;
		_nop_();_nop_();
	}
}
#endif

#ifdef lpc_mode2
void LPC_Test(void)
{
	BOR_DIS;					//BORر
	STOP_ILRC_EN;			//STOPILRCĬʹ
	output_IO_init();
	while(1)
	{
		PCON_STOP;
		_nop_();_nop_();
	}
}
#endif

#ifdef lpc_mode3
void LPC_Test(void)
{
	CKCON = 0x70;
	BORCON = 0x31;
	CLKEN0 = 0x08;
	CLKEN1 = 0x00;
	
	P0CR |= SET_BIT3;
	while(1)
	{
		Delay_1ms(500);
		P0_3 = ~P0_3;
	}
}
#endif