#include <ATM8F8040K.H>
#include "main.h"
#include "pwm.h"
#include "uart0.h"
#include <stdio.h>

#define PWM_MODE0 //ģʽ
//#define PWM_MODE1 //ģʽ,P02ķP12,ڽղ

#ifdef PWM_MODE0
void pwm_init(void)
{
	PWMCON = 0xF0; 	// ͨȽ,ض
	
	PWMPERH = 0x03;	//
	PWMPERL = 0xE8;	//PWM Fsys/1000
/*ѡOUTMOD_0ʱ,CCR0PWM0,1	CCR1PWM2,3	CCR2PWM4,5	CCR3PWM6*/	
	CCR0H = 0x01;			//
	CCR0L = 0x2C;		//PWM0ƥʱΪFsys/300
	CCR1H = 0x03;		//
	CCR1L = 0xE8;   //PWM1ƥʱΪFsys/1000
	CCR2H = 0x02; 	//
	CCR2L = 0xBC;   //PWM2ƥʱΪFsys/700	
	CCR3H = 0x01;		//
	CCR3L = 0xF4;   //PWM3ƥʱΪFsys/500
		
	PWM_SOFT_UPDEAE; //
	
	PWMCFG = 0x83; 	//·ʽÿƥ,ϵͳʱԴIHRC4Ƶ,8MHZ
	
	PWMDR = 0;			//ʱΪ0
	PWMDF = 0;			//½ʱΪ0
	EVTCON = 0;			//¼ƼĴ
	
	PWMIE = 0x02;			//PWMжʹ
	CCIEN = 0;			//PWMȽжϽֹ
	CCISR = 0;			//
	IE_PWM_enable;
	EA = 1;
	
	PWMSEL0 = 0xFF;	//PWM0,PWM2,PWM4,PWM6ͨźԴѡOCxH
	PWMSEL1 = 0x3F; //PWM1,PWM3,PWM5ͨźԴѡOCxL
	
	PWMPOL &= 0x80;	//ȫѡͬ
	OUTMOD_0;				//ģʽ0
//	PWMLOCK = 0xB3;		//
//	PWMFC |= 0x7F;		//ȫͨģʽʹ
	
	PWM0_P12_enable;
	PWM1_P13_enable;
	PWM2_P14_enable;
	PWM4_P16_enable;
	PWM6_P02_enable;
	
	PWM_EN;	//ʹPWM
}

/*
fre: Ƶ ʾ fre kHz,0ıƵ
ch :PWMͨ ch0,ch1,ch2,ch3
duty : ռձ  磺10ʾռձ10% С100
*/
void pwm_set(uint16_t fre,uint8_t ch, uint8_t duty)
{
	uint16_t per,dut;
	if(fre != 0)
		per = (8000 / fre);		//8000khzΪPWMʱ,ϵͳʱԴ4Ƶõ
	else
		per = (((uint16_t)(PWMPERH) << 8) | ((uint16_t)PWMPERL));
	if(duty < 100)
		dut = per * ((float)duty / 100);
	else
		dut = per;
	switch(ch)
	{
		case 0:		CCR0H = (uint8_t)(dut >> 8);
							CCR0L = (uint8_t)dut;
		break;
		case 1:		CCR1H = (uint8_t)(dut >> 8);
							CCR1L = (uint8_t)dut;
		break;
		case 2:		CCR2H = (uint8_t)(dut >> 8);
							CCR2L = (uint8_t)dut;
		break;
		case 3:		CCR3H = (uint8_t)(dut >> 8);
							CCR3L = (uint8_t)dut;
		break;
		default:
		break;
	}
	PWMPERH = per >> 8;
	PWMPERL = per;				//PWM 
}	

/*
P1.2P1.3һԻPWMռձ30%
P1.41ߵƽ
P1.6ռձλ70%
P0.2ռձλ50%,ʱ䶯
*/
void PWM_Test(void)
{
	pwm_init();
	while(1)
	{

	}
}
void PWM_interrupt(void)  interrupt   14		
{
	static uint8_t counter = 0;
	static uint8_t duty = 50;
	
	PWMIE |= SET_BIT5;
	counter++;
	if(counter > 200)
	{
		counter = 0;
		duty++;
		if(duty>100)
			duty = 0;
		pwm_set(0,3,duty);
	}
}
#endif

#ifdef PWM_MODE1
void pwm_init(void)
{
	PWMCON = 0x80; 	// ͨ3Ƚ,ͨ0,ض
	
	PWMPERH = 0x27;	//
	PWMPERL = 0x10;	//PWM Fsys/10000
/*ѡOUTMOD_0ʱ,CCR0PWM0,1	CCR1PWM2,3	CCR2PWM4,5	CCR3PWM6*/	
	CCR0H = 0x00;		
	CCR0L = 0x00;		//沶
	CCR3H = 0x27;		//
	CCR3L = 0x10;   //PWM3ƥʱΪFsys/500
		
	PWM_SOFT_UPDEAE; //
	
	PWMCFG = 0x87; 	//·ʽÿƥ,ϵͳʱԴIHRC8Ƶ,4MHZ
	
	PWMDR = 0;			//ʱΪ0
	PWMDF = 0;			//½ʱΪ0
	EVTCON = 0;			//¼ƼĴ
	
	PWMIE = 0x02;			//PWMжʹ
	CCIEN = 0x01;			//PWMͨ0Ƚжʹ
	CCISR = 0;			//
	IE_PWM_enable;
	IE_PWM_C_enable;
	EA = 1;
	
	PWMSEL0 = 0x02;	//PWM0½ز
	PWMSEL1 = 0x30; //PWM6ͨźԴѡOC3H
	
	PWMPOL &= 0x80;	//ȫѡͬ
	OUTMOD_0;				//ģʽ0
//	PWMLOCK = 0xB3;		//
//	PWMFC |= 0x7F;		//ȫͨģʽʹ
	
	P1CR &= CLR_BIT2;
	P1PCR |= SET_BIT2;
	P1SELL |= 0x20;
	PWMOEN &= CLR_BIT0;//P12PWM0CAP
	PWM6_P02_enable;
	
	PWM_EN;	//ʹPWM
}

/*
fre: Ƶ ʾ fre kHz,0ıƵ
ch :PWMͨ ch0,ch1,ch2,ch3
duty : ռձ  磺10ʾռձ10% С100
*/
void pwm_set(uint16_t fre,uint8_t ch, uint8_t duty)
{
	uint16_t per,dut;
	if(fre != 0)
		per = (8000 / fre);		//8000khzΪPWMʱ,ϵͳʱԴ4Ƶõ
	else
		per = (((uint16_t)(PWMPERH) << 8) | ((uint16_t)PWMPERL));
	if(duty < 100)
		dut = per * ((float)duty / 100);
	else
		dut = per;
	switch(ch)
	{
		case 0:		CCR0H = (uint8_t)(dut >> 8);
							CCR0L = (uint8_t)dut;
		break;
		case 1:		CCR1H = (uint8_t)(dut >> 8);
							CCR1L = (uint8_t)dut;
		break;
		case 2:		CCR2H = (uint8_t)(dut >> 8);
							CCR2L = (uint8_t)dut;
		break;
		case 3:		CCR3H = (uint8_t)(dut >> 8);
							CCR3L = (uint8_t)dut;
		break;
		default:
		break;
	}
	PWMPERH = per >> 8;
	PWMPERL = per;				//PWM 
}	

/*
P1.2P0.2ķ
P0.2ռձλ50%,ʱ䶯
*/
void PWM_Test(void)
{
	Uart0_Init();
	pwm_init();
	while(1)
	{

	}
}
void PWM_interrupt(void)  interrupt   14		
{
	static uint8_t duty = 50;
	
	PWMIE |= SET_BIT5;

		duty++;
		if(duty>100)
			duty = 0;
		pwm_set(0,3,duty);
}

void PWM_C_interrupt(void)  interrupt   15
{

	uint16_t temp;
	uint8_t buf[20]= {0};
	CCISR |= 0x01;		

	temp = ((uint16_t)(CCR0H << 8) | CCR0L);
	sprintf(buf,"CAP = %d\r\n",temp);
	sendString(buf);
/*	жû*/
}

#endif