#include <ATM8F8040K.H>
#include "main.h"
#include "timer0.h"

//#define TIEMR0_MODE0  //13λģʽ
#define TIEMR0_MODE1  //16λģʽ
//#define TIEMR0_MODE2  //8λģʽ
//#define TIEMR0_MODE3  //8λģʽ

#ifdef TIEMR0_MODE0
void T0_Init(void)
{
	TIMPRS0_4DIV;  //ϵͳʱ4Ƶ32/8/4=1M
	T0_MODE0;	//timer0 13λģʽ
	TL0 = (8192-1000)%32;		//ֵ1000
	TH0 = (8192-1000)/32;
	IE_T0_enable;
	EA = 1;
	T0_ON;	
}

void Timer0_Test(void)
{
	P0CR |= SET_BIT2;
	T0_Init();
	while(1);
}

void T0_INT(void)		interrupt 1
{
		TL0 = (8192-1000)%32;
		TH0 = (8192-1000)/32;
		P0_2 = ~P0_2;	
}
#endif

#ifdef TIEMR0_MODE1
void T0_Init(void)
{
	TIMPRS0_4DIV;  //ϵͳʱ4Ƶ32/8/4=1M
	T0_MODE1;	//timer0 16λģʽ
	TL0 = (65536-1000)%256;		//ֵ1000
	TH0 = (65536-1000)/256;
	IE_T0_enable;
	EA = 1;
	T0_ON;	
}

void Timer0_Test(void)
{
	P0CR |= SET_BIT2;
	T0_Init();
	while(1);
}

void T0_INT(void)		interrupt 1
{
	TL0 = (65536-1000)%256;
	TH0 = (65536-1000)/256;
	P0_2 = ~P0_2;	
}
#endif

#ifdef TIEMR0_MODE2
void T0_Init(void)
{
	TIMPRS0_4DIV;  //ϵͳʱ4Ƶ32/8/4=1M
	T0_MODE2;	//timer0 8λģʽ
	TL0 = (256-200);		//ֵ200
	TH0 = (256-200);
	IE_T0_enable;
	EA = 1;
	T0_ON;	
}

void Timer0_Test(void)
{
	P0CR |= SET_BIT2;
	T0_Init();
	while(1);
}

void T0_INT(void)		interrupt 1
{
	static uint8_t T0_mode2_count;
	T0_mode2_count++;
	if(T0_mode2_count == 5)
	{
		T0_mode2_count = 0;
		P0_2 = ~P0_2;
	}
}
#endif

#ifdef TIEMR0_MODE3
void T0_Init(void)
{
	TIMPRS0_4DIV;  //ϵͳʱ4Ƶ32/8/4=1M
	T0_MODE3;	//timer0 8λģʽ
	TL0 = (256-200);		//ֵ200
	TH0 = (256-200);
	IE_T1_enable;	
	IE_T0_enable;
	EA = 1;
	T1_ON;
	T0_ON;	
}

void Timer0_Test(void)
{
	P0CR |= SET_BIT3;
	P0CR |= SET_BIT2;
	T0_Init();
	while(1);
}

void T0_INT(void)		interrupt 1
{
	static uint8_t T0_mode3_count;		
	TL0 = (256-200);
	T0_mode3_count++;
	if(T0_mode3_count == 5)
	{
		T0_mode3_count = 0;
		P0_2 = ~P0_2;
	}
}
void T1_INT(void)		interrupt 3
{
	static uint8_t T1_mode3_count;/*ʱ0ģʽ3*/
	TH0 = (256-200);
	T1_mode3_count++;
	if(T1_mode3_count == 5)
	{
		T1_mode3_count = 0;
		P0_3 = ~P0_3;
	}	
}
#endif