#include <ATM8F8040K.H>
#include "main.h"
#include "timer2.h"
#include "pwm.h"
#include "uart0.h"
#include <stdio.h>

/*T2ʱΪη*/
//#define TIMER2_MODE0	//16λԶģʽP0210KHZ
//#define TIMER2_MODE1	//16λģʽP12һP02ת,ڷͲ񵽵,ģʽ轫P01P12
#define TIMER2_MODE2	//ɱ̲ηP03ռձλ30%10KHZռձ70%5KHZ
//#define TIMER2_MODE3	//巢P12һP03ʱ12.5ms12.5msȵ

/*ʹòʱ,ҪREMAPĴ,ҪлĴҳBANK1,ýлBANK0*/
#ifdef TIMER2_MODE0
void T2_Init(void)
{
	TH2 = (65536-100)/256;		//öʱֵ
	TL2 = (65536-100)%256;;	
	T2CPH2 = (65536-100)/256;	//öʱֵ
	T2CPL2 = (65536-100)%256;	
	T2_MODE0;	 								// timer2 16λԶģʽ
	T2_CLKDIV_2;							//ϵͳʱ4Mhz2Ƶ2Mhz
	IE_T2_MV_enable;					//ƥжʹ
	EA = 1;
	T2_ON;	 // timer2ʱ
}
void Timer2_Test(void)
{
	P0CR |= SET_BIT2;
  T2_Init();
  while(1)		
	{
		
	}
}
void T2OVF_INT(void)	interrupt 6
{
		P0_2 = ~P0_2;
/*	ƥͼжû*/
}
#endif

#ifdef TIMER2_MODE1
void T2_Init(void)
{
	P1CR &= CLR_BIT2;  //P12Ϊ
	P1PCR |= SET_BIT2;
	P1SELL |= 0x20; //P12ѡù2
	T2CAP = 0x80;		//ѡⲿԴ3Լʽ
	T2EXS = 0x40;		//ѡPWMCAP0Ϊ
	
	TH2 = 0x00;
	TL2 = 0x00;	
	T2CPH2 = 0x00;	//T2CPH2,T2CPL2Ų
	T2CPL2 = 0x00;	//Դͬ,ݵĲĴв,ϸοֲ
	
	T2_CLKDIV_2;  //ϵͳʱ2Ƶ
	T2MOD |= SET_BIT4; //ʱ0 
	T2_MODE1;	 		// timer2 16λģʽ
	T2_EXEN;				// ⲿʹ
	IE_T2_CAP_enable;			//ⲿжʹ
	IE_T2_MV_enable;			//жʹ
	EA = 1;
	T2_ON;	 // timer2ʱ
}
void PWM_init_T2(void)
{
	PWMCON = 0x20; 	//ͨ1Ƚ,ض
	
	PWMPERH = 0x03;	//
	PWMPERL = 0xE8;	//PWM Fsys/1000
	CCR1H = 0x01;		//
	CCR1L = 0xF4;   //PWM3ƥʱΪFsys/500
	
	PWM_SOFT_UPDEAE; //
	
	PWMCFG = 0x07; 	//·ʽƥ£ÿƥ,ϵͳʱԴIHRC8Ƶ,4MHZ

	PWMSEL0 = 0xFF;	//PWMͨźԴѡPWM03ѡOC1L
	PWMSEL1 = 0x3F;	

	PWM3_P01_enable;	//˿ʹ
	
	PWM_EN;	//ʹPWM
}
void Timer2_Test(void)
{
	P0CR |= SET_BIT5;
	P0CR |= SET_BIT2;
	Uart0_Init();
  T2_Init();
	PWM_init_T2();

  while(1)		
	{
		
	}
}
void T2OVF_INT(void)	interrupt 6
{
		P0_5 = ~P0_5;
/*	ƥͼжû*/
}
void T2CAP_INT(void)	interrupt 7
{
	uint16_t temp = 0;
	uint8_t buf[20]= {0};
	P0_2 = ~P0_2;
	temp = ((uint16_t)(T2CPH2 << 8) | T2CPL2);
	sprintf(buf,"CAP = %d\r\n",temp);
	sendString(buf);
/*	жû*/
}
#endif

#ifdef TIMER2_MODE2
void T2_Init(void)
{
	P0CR |= SET_BIT3;  //P03Ϊ
	P0SELL |= 0x80;		 //P03ѡù2timer2
	TH2 = 0xFF;
	TL2 = 0x38;	
	T2CPH2 = (65536-300)/256;		//T2CP2 Ųƥ
	T2CPH1 = (65536-1000)/256;		//T2CP1	Ų
	T2CPL2 = (65536-300)%256;
	T2CPL1 = (65536-1000)%256;	
	T2_RTRGEN;			//ظʹ,,ռձȸ
	T2_CLKDIV_2;  	//ϵͳʱ2Ƶ
	T2_MODE2;	 			// timer2 PPGģʽ
	T2_EXDIS;			 	//ⲿֹ
	T2_ON;	 // timer2ʱ
}
void T2_MODE2_setpwm(uint16_t pre,uint16_t duty)
{
	T2CPH2 = (65536-duty)/256;		//T2CP2 Ųƥ
	T2CPH1 = (65536-pre)/256;		//T2CP1	Ų
	T2CPL2 = (65536-duty)%256;
	T2CPL1 = (65536-pre)%256;	
	T2_SOFT_LOAD;
}
void Timer2_Test(void)
{
  T2_Init();
  while(1)		
	{
		Delay_1ms(500);
		T2_MODE2_setpwm(2000,1400);
		Delay_1ms(500);
		T2_MODE2_setpwm(1000,300);
	}
}
#endif

#ifdef TIMER2_MODE3
void T2_Init(void)
{
	P0CR |= SET_BIT3;  //P03Ϊ
	P0SELL |= 0x80; //P03ѡù2timer2
	
	P1CR &= CLR_BIT2;  //P12Ϊ
	P1PCR |= SET_BIT2;
	P1SELL |= 0x20; //P12ѡù2
	T2CAP = 0x80;		//ѡⲿԴ3Լʽ
	T2EXS = 0x40;		//ѡPWMCAP0Ϊ
	
	T2CPH2 = 0x9E;		//ӳʱ(2-1 + 1) * Tcycle
	T2CPH1 = 0x3C;		//(65535-2) * Tcycle
	T2CPL2 = 0x58;		//
	T2CPL1 = 0xB0;	 	//

	T2_CLKDIV_2;  	//ϵͳʱ2Ƶ
	T2_MODE3;				// timer2 巢
	T2_EXEN;				//ⲿʹ
	EA = 1;
	T2_ON;	 // timer2ʱ
}
void Timer2_Test(void)
{
  T2_Init();
  while(1)		
	{
		
	}
}
#endif
