#include <ATM8F8040K.H>
#include "main.h"
#include "uart1.h"

#define Baud_EN

 //ϵͳʱ32/8=4MHz
void Uart1_Init(void)
{
	/*UART1IO TX -> P2.1 RX -> P1.7*/
	/*UART1SMODSDλBUZCONĴ*/
	P1CR &= CLR_BIT7;
	P1PCR |= SET_BIT7;
	P2CR |= SET_BIT1;
	P1SELH |= 0xC0;		//ѡù
	P2SELL |= 0x0C;

	//ò
	#ifdef Baud_EN
	{
		//ʹʷ 2*4Mhz/64/13=9615  9600
		//BAUD = (2^SMOD)*FCLK/(64*(2^10 - S0REL)) 
		//FCLKΪϵͳʱ
		S1RELH = 0x03;
		S1RELL = 0xF3;
		BUZCON |= 0x06; //ʹʷ
	}
	#else
	{
		BUZCON |= 0x04;
		//ʹT1ʷ 2*(32/4/4=2)Mhz/32/139600
		//BAUD = (2^SMOD)/32 * FCLK/(TIMER1_OVERFLOW)
		//FCLKΪT1ʱ
		TH1 = 0xF3;
		TL1 = 0xF3;
		SYSDIV_4;	//ϵͳʱ4Ƶ32/4=8Mhz
		TIMPRS |= 1 << 4; //ʱ1ʱ4Ƶ8/4=2Mhz
		TMOD |= 2 << 4;		//ʱѡģʽ2
		TR1 = 1;
	}
	#endif
	//ʹuart1 ģʽ1
	S1CON = 0x50;
	IE_UART1_enable;
	EA = 1;
}

/*һֽ*/
void sendChar1(uint8_t TxChar)
{
	S1BUF = TxChar;
	//ѯģʽ
	while(!(S1CON & 0x02));  	//ȴɱ־1
		S1CON	^= 0x02;							//ɱ־
}
/*һַ*/
void sendString1(uint8_t *TxStr)
{
	while((*TxStr) != '\0')	//ַΪ\0
	{
		sendChar1(*TxStr);			//͵ǰַַָָ
		TxStr++;							//ַָ1
	}
}

/*պ*/
void receive1(uint8_t *rc,uint8_t count)
{
	while(count--)
	{
		while(~S1CON & 0x01);
		S1CON ^= 0x01;
		*rc = S1BUF;
		rc++;
	}
}

/*յݷͳ*/
void Uart1_Test(void)
{
	Uart1_Init();
	while(1)
	{
		/*Ӧжн*/
	}
}

void UART1_INT(void)	interrupt 5
{
	#ifdef UART1_TEST
	uint8_t temp;
	if(S1CON & 0x01)//жϱ־
	{
		S1CON ^= 0x01;//ж	
		/*
		û
		*/
		temp = S1BUF;
		sendChar1(temp);
	}
	if(S1CON & 0x02)//жϱ־
	{
		S1CON ^= 0x02;//巢ж	
		/*
		û
		*/
	}	
	#endif
}